## org.apache.poi.hssf.record
Class HeaderFooterBase

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.HeaderFooterBase

Direct Known Subclasses:
  FooterRecord, HeaderRecord

    public abstract class HeaderFooterBase

extends StandardRecord

Common header/footer base class

Author:
  Josh Micich

Constructor Summary
`protected` `HeaderFooterBase(RecordInputStream in)`
`protected` `HeaderFooterBase(java.lang.String text)`

Method Summary
`protected int` `getDataSize()`
`java.lang.String` `getText()`
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setText(java.lang.String text)` set the footer string

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, getSid, serialize, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HeaderFooterBase

    protected HeaderFooterBase(java.lang.String text)

### HeaderFooterBase

    protected HeaderFooterBase(RecordInputStream in)

Method Detail

### setText

    public final void setText(java.lang.String text)

  set the footer string

  Parameters:
    `text` - string to display

### getText

    public final java.lang.String getText()

### serialize

    public final void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected final int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.